<?php

if (!class_exists("plug_body")) {
	class plug_body {	
		function __construct($ns) {
			$this->title = __("Body classes","dagsopt");
			$this->pluginname = $ns->pluginname;
			$this->file = $ns->file;
			$this->ns = $ns;

		}
		function start() {
			add_filter('body_class', array(&$this,'extended_body_class') );
		}

		function extended_body_class($classes) {
			global $is_lynx, $is_gecko, $is_IE, $is_opera, $is_NS4, $is_safari, $is_chrome, $is_iphone;
			global $blogname;

			if($is_lynx) $classes[] = 'lynx';
			elseif($is_gecko) $classes[] = 'gecko';
			elseif($is_opera) $classes[] = 'opera';
			elseif($is_NS4) $classes[] = 'ns4';
			elseif($is_safari) $classes[] = 'safari';
			elseif($is_chrome) $classes[] = 'chrome';
			elseif($is_IE) $classes[] = 'ie';
			elseif($is_iphone) $classes[] = 'iphone';
			else $classes[] = 'unknown';
			
			$classes[] = "site-".$blogname;
			
			return $classes;
		}
			function help(){
				?>
				add css classes like:
				&gt;body class="... [lynx|gecko|opera|ns4|safari|chrome|ie|iphone|unknwon] site-$blogname"	
				
			<?php		
			}
	 
	 
	 	 	function admin_line(){
		  ?>
 		  <?php  
		}	
	}

	global $plug_body;
	$plug_body = new plug_body($this);		
			$this->dagsopt['plug_body'] = $plug_body;
			
}






